当前位置:首页 > Liunx教程 >

The Process class relies on proc_open, which is not available on your PHP installation

发布时间:2020-03-31 09:32:35 作者:佚名 阅读:(14)

今天在使用composer安装一个Laravel项目的扩展的时候,提示:The Process class relies on proc_open, which is not available on your PHP installation,接下来吾爱编程为大家介绍一下解决方法,有需要的小伙伴可以参考一下:

1、错误提示:

> Illuminate\Foundation\ComposerScripts::postAutoloadDump
> @php artisan package:discover --ansi

                                                                                           
  [Symfony\Component\Process\Exception\LogicException]                                     
  The Process class relies on proc_open, which is not available on your PHP installation.

2、错误原因:

    默认安装的PHP一些函数是没有默认开启的,我们需要的函数是proc_open

3、解决方法:

vim /usr/local/php/etc/php.ini

    找到“disable_functions”,对应的时候是没有开启的一些函数,找到我们需要的“proc_open”,删掉,然后重启php的服务

service php-fpm restart


以上就是吾爱编程为大家介绍的关于The Process class relies on proc_open, which is not available on your PHP installation的解决方法,了解更多相关文章请关注吾爱编程网!

欢迎分享转载→ The Process class relies on proc_open, which is not available on your PHP installation

© 2015-2019 - 吾爱编程网 版权所有 苏ICP备18033726号-1关于我们 - 网站声明 - 联系我们